#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_CIS_Microdati_2010_ESEMPIO_STRUTTURA_FILE.txt", sep="")
Ril_CIS_2010<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(Ril_CIS_2010, "label") <- c(
"Codice Asia",
"Paese di residenza dell'impresa",
"Classificazione Nace (divisione)",
"Appartenenza ad un gruppo industriale",
"Sede dell'impresa capogruppo",
"Ambito di mercato: regionale",
"Ambito di mercato: nazionale",
"Ambito di mercato: europeo",
"Ambito di mercato: altro",
"Mercato con il maggior peso in termini di fatturato",
"Innovazioni di prodotto nel triennio",
"Innovazioni di servizio nel triennio",
"Innovazioni di prodotto sviluppata dall'impresa stessa",
"Innovazioni di prodotto sviluppata dall'impresa in collaborazione con altre imprese o istituzioni",
"Innovazioni di prodotto sviluppata dall'impresa stessa adottando o modificando prodotti o servizi originariamentesviluppati da altre imprese o istituzioni",
"Innovazioni di prodotto sviluppata da altre imprese o istituzioni",
"Innovazioni di servizio sviluppata dall'impresa stessa",
"Innovazioni di servizio sviluppata dall'impresa in collaborazione con altre imprese o istituzioni",
"Innovazioni di servizio sviluppata dall'impresa stessa adottando o modificando prodotti o servizi originariamentesviluppati da altre imprese o istituzioni",
"Innovazioni di servizio sviluppata da altre imprese o istituzioni",
"Prodotti o servizi nuovi (o significativamente migliorati) per il mercato di riferimento",
"Prodotti o servizi nuovi (o significativamente migliorati) solo per l'impresa",
"Quota di fatturato 2010 derivante da prodotti o servizi nuovi (o significativamente migliorati) per il mercato di riferimento",
"Quota di fatturato 2010 derivante da prodotti o servizi nuovi (o significativamente migliorati) solo per l'impresa",
" Quota di fatturato 2010 derivante da prodotti o servizi non modificati, o modificati solo marginalmente (compreso la vendita di nuovi prodotti acquistati da altre imprese) ",
"Presenza nel triennio 2008-2010 di almeno un prodotto nuovo in assoluto a livello nazionale",
"Presenza nel triennio 2008-2010 di almeno un prodotto nuovo in assoluto in Europa",
"Presenza nel triennio 2008-2010 di almeno un prodotto nuovo in assoluto a livello mondiale",
"Innovazioni del processo produttivo nel triennio",
"Innovazioni nei sistemi di logistica e metodi di distribuzione nel triennio",
"Altre innovazioni di processo",
"Chi ha sviluppato innovazioni di processo nel triennio: l'impresa stessa",
"Chi ha sviluppato innovazioni di processo nel triennio: l'impresa stessa in collaborazione con altre imprese o istituzioni",
"Chi ha sviluppato innovazioni di processo nel triennio: l'impresa stessa adottando o modificando prodotti o servizi originariamente sviluppati da altre imprese o istituzioni",
"Chi ha sviluppato innovazioni di processo nel triennio: altre imprese o istituzioni",
"Presenza di almeno un processo nuovo per il mercato di riferimento per l'impresa introdotto nel triennio",
"Attivit di innovazione abbandonate o interrotte prima di averle completamente realizzate nel triennio 2008-2010",
"Attivit di innovazione ancora in corso alla fine del 2010",
"Attivit di R&S svolta allinterno dellimpresa nel triennio",
"Modalit di svolgimento delle attivit di R&S nel triennio",
"Acquisizione di servizi di R&S dall'esterno",
"Acquisizione di macchinari e attrezzature per l'innovazione",
"Acquisizione di altre tecnologie dall'esterno",
"Attivit di formazione per le attivit innovative",
"Attivit di marketing di prodotti e servizi innovativi",
"Attivit di progettazione (design)",
"Altre attivit innovative",
"Spesa sostenuta per attivit di R&S svolta allinterno dellimpresa nel 2010",
"Spesa sostenuta per l'acquisizione di servizi di R&S nel 2010",
"Spesa sostenuta per l'acquisizione di macchinari e attrezzature nel 2010",
"Spesa sostenuta per l'acquisizione di altre tecnologie dall'esterno nel 2010",
"Spesa sostenuta per attivit di progettazione (design) nel 2010",
"Spesa sostenuta per altre attivit innovative nel 2010",
"Spesa sostenuta per attivit di formazione per le attivit innovative nel 2010",
"Spesa sostenuta per il marketing di prodotti innovativi nel 2010",
"Spesa totale per l'innovazione sostenuta nel 2010",
"Sostegno pubblico all'innovazione da amministrazioni pubbliche regionali e locali",
"Sostegno pubblico all'innovazione da amministrazioni centrali dello Stato",
"Sostegno pubblico all'innovazione dallUnione Europea",
"Sostegno pubblico all'innovazione dai Programmi Quadro Europeo per la Ricerca e lo Sviluppo Tecnologico",
"Fonti di informazione dell'innovazione: fonti interne",
"Fonti di informazione dell'innovazione: fornitori",
"Fonti di informazione dell'innovazione: clienti",
"Fonti di informazione dell'innovazione: concorrenti",
" Fonti di informazione dell'innovazione: consulenti, istituti di ricerca o laboratori privati  ",
"Fonti di informazione dell'innovazione: universit",
"Fonti di informazione dell'innovazione: istituti di ricerca pubblici",
" Fonti di informazione dell'innovazione: conferenze, mostre, fiere  ",
"Fonti di informazione dell'innovazione: riviste scientifiche e altre pubblicazioni",
"Fonti di informazione dell'innovazione: associazioni di categoria",
"Accordi di cooperazione per l'innovazione",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo in Italia",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in Europa",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti negli USA",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in Cina o India",
"Accordi di cooperazione per l'innovazione con altre imprese del gruppo operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con fornitori in Italia",
"Accordi di cooperazione per l'innovazione con fornitori operanti in Europa",
"Accordi di cooperazione per l'innovazione con fornitori operanti in USA",
"Accordi di cooperazione per l'innovazione con fornitori operanti in Cina o India",
"Accordi di cooperazione per l'innovazione con fornitori operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con clienti in Italia",
"Accordi di cooperazione per l'innovazione con clienti operanti in Europa",
"Accordi di cooperazione per l'innovazione con clienti operanti in USA",
"Accordi di cooperazione per l'innovazione con clienti operanti in in Cina o India",
"Accordi di cooperazione per l'innovazione con clienti operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con imprese concorrenti in Italia",
"Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in Europa",
"Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in USA",
"Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in in Cina o India",
"Accordi di cooperazione per l'innovazione con imprese concorrenti operanti in altri paesi",
"  Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in Italia  ",
"  Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in Europa  ",
"  Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in USA  ",
"  Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in in Cina o India  ",
"  Accordi di cooperazione per l'innovazione con consulenti, istituti di ricerca e laboratori privati operanti in altri paesi   ",
"Accordi di cooperazione per l'innovazione con Universit in Italia",
"Accordi di cooperazione per l'innovazione con Universit operanti in Europa",
"Accordi di cooperazione per l'innovazione con Universit operanti in USA",
"Accordi di cooperazione per l'innovazione con Universit operanti in in Cina o India",
"Accordi di cooperazione per l'innovazione con Universit operanti in altri paesi",
"Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici in Italia",
"Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in Europea",
"Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in USA",
"Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in in Cina o India",
"Accordi di cooperazione per l'innovazione con istituti di ricerca pubblici operanti in altri paesi",
"Tipologia di impresa o istituzione giudicata rilevante ai fini delle attivit di cooperazione",
"Aumento nel numero di prodotti e servizi offerti alla clientela",
"  Sostituzione di prodotti, servizi e processi non pi competitivi  ",
"Accesso a nuovi mercati o aumento della propria quota di mercato",
"Miglioramento della qualit dei propri prodotti e servizi",
"Maggiore flessibilit nella produzione di beni e servizi",
"Maggiore capacit di produzione di beni e servizi",
"Riduzione del costo del lavoro per unit di prodotto",
"Riduzione dei costi dei materiali e dell'energia per unit di prodotto",
"Riduzione dell'impatto ambientale",
"Migliorare la salute e sicurezza del lavoro",
"Fattori di ostacolo nel triennio: mancanza di risorse finanziarie interne all'impresa o al gruppo",
"Fattori di ostacolo nel triennio: mancanza di fonti di finanziamento esterne all'impresa",
"Fattori di ostacolo nel triennio: costi di innovazione troppo elevati",
"Fattori di ostacolo nel triennio: mancanza di personale qualificato",
"Fattori di ostacolo nel triennio: mancanza di informazioni sulle tecnologie",
"Fattori di ostacolo nel triennio: mancanza di informazioni sui mercati",
"Fattori di ostacolo nel triennio: difficolt di individuare partener con cui cooperare per le attivit di innovazione",
"Fattori di ostacolo nel triennio: mercati dominati da imprese consolidate",
"Fattori di ostacolo nel triennio: domanda instabile di prodotti o servizi innovativi",
"Fattori di ostacolo nel triennio: l'impresa non ritiene di innovare perch aveva gi introdotto innovazioni in precedenza",
"Fattori di ostacolo nel triennio: l'impresa non ritiene di innovare per soddisfare le esigenze della clientela",
"Nuove pratiche di organizzazione dellimpresa",
"Nuove metodi di organizzazione del lavoro",
"Nuove strategie organizzative nelle relazioni pubbliche",
"Riduzione dei tempi di risposta alle esigenze di clienti e fornitori",
"Miglioramento della capacit di produzione di beni e servizi",
"Miglioramento della qualit dei propri prodotti e servizi",
"Riduzione dei costi per unit di prodotto",
"Maggiore comunicazione o condivisione di informazioni allinterno dellimpresa o con altre imprese o istituzioni",
"Modifiche significative nelle caratteristiche estetiche dei prodotti o nel confezionamento",
"Nuovi mezzi o tecniche di promozione pubblicitaria",
"Nuovi pratiche di commercializzazione dei prodotti e/o servizi",
"Nuove politiche dei prezzi",
"Aumento o mantenimento della propria quota di mercato",
"Introduzione di prodotti e servizi per nuove fasce di consumatori",
"Introduzione di prodotti e servizi per nuovi mercati geografici",
"Impiego personale interno o professionalit esterne competenti in Arti grafiche in campo pubblicitario",
"Impiego personale interno o professionalit esterne competenti in design di prodotti e servizi",
"Impiego personale interno o professionalit esterne competenti in tecniche multimediali",
"Impiego personale interno o professionalit esterne competenti in web design",
"Impiego personale interno o professionalit esterne competenti in sviluppo di software",
"Impiego personale interno o professionalit esterne competenti in ricerche di mercato",
"Impiego personale interno o professionalit esterne competenti in ingegneria/scienze applicate",
"Impiego personale interno o professionalit esterne competenti in matematica/statistica/gestione di database",
"Introduzione di sessioni di brainstorming",
"Introduzione di lavori di gruppo interdisciplinare e interfunzionale",
"Introduzione di forme di rotazione lavoro",
"Introduzione incentivi finanziari ai dipendenti per lo sviluppo di nuove idee",
"Introduzione incentivi non finanziari ai dipendenti per lo sviluppo di nuove idee",
"Introduzione attivit di formazione dei dipendenti volte allo sviluppo di nuove idee e di soluzioni creative",
"Fatturato 2008",
"Fatturato 2010",
"Classi di addetti 2008",
"Classi di addetti 2010",
"Percentuale di addetti in possesso di un diploma universitario o di un diploma di laurea nel 2010",
"Peso finale")

nuts_Fact <- factor(Ril_CIS_2010$nuts, 
levels=c("IT"), 
labels=c("ITALIA")) 


nace_Fact <- factor(Ril_CIS_2010$nace, 
levels=c(B, 
10, 
11, 
13, 
14, 
15, 
16, 
17, 
18, 
19, 
20, 
21, 
22, 
23, 
24, 
25, 
26, 
27, 
28, 
29, 
30, 
31, 
32, 
33, 
35, 
36, 
37, 
41, 
42, 
43, 
45, 
46, 
47, 
49, 
50, 
51, 
52, 
53, 
58, 
61, 
62, 
63, 
64, 
65, 
66, 
70, 
71, 
72, 
73, 
74, 
38-39), 
labels=c("MINING AND QUARRYING", 
"Manufacture of food products", 
"Manufacture of beverages", 
"Manufacture of textiles", 
"Manufacture of wearing apparel", 
"Manufacture of leather and related products", 
"Manufacture of wood and of products of wood and cork, except furniture; manufacture of articles of straw and plaiting materials", 
"Manufacture of paper and paper products", 
"Printing and reproduction of recorded media", 
"Manufacture of coke and refined petroleum products", 
"Manufacture of chemicals and chemical products", 
"Manufacture of basic pharmaceutical products and pharmaceutical preparations", 
"Manufacture of rubber and plastic products", 
"Manufacture of other non-metallic mineral products", 
"Manufacture of basic metals", 
"Manufacture of fabricated metal products, except machinery and equipment", 
"Manufacture of computer, electronic and optical products", 
"Manufacture of electrical equipment", 
"Manufacture of machinery and equipment n.e.c.", 
"Manufacture of motor vehicles, trailers and semi-trailers", 
"Manufacture of other transport equipment", 
"Manufacture of furniture", 
"Other manufacturing", 
"Repair and installation of machinery and equipment", 
"Electricity, gas, steam and air conditioning supply", 
"Water collection, treatment and supply", 
"Sewerage", 
"Construction of buildings", 
"Civil engineering", 
"Specialised construction activities", 
"Wholesale and retail trade and repair of motor vehicles and motorcycles", 
"Wholesale trade, except of motor vehicles and motorcycles", 
"Retail trade, except of motor vehicles and motorcycles", 
"Land transport and transport via pipelines", 
"Water transport", 
"Air transport", 
"Warehousing and support activities for transportation", 
"Postal and courier activities", 
"Publishing activities", 
"Telecommunications", 
"Computer programming, consultancy and related activities", 
"Information service activities", 
"Financial service activities, except insurance and pension funding", 
"Insurance, reinsurance and pension funding, except compulsory social security", 
"Activities auxiliary to financial services and insurance activities", 
"Activities of head offices; management consultancy activities", 
"Architectural and engineering activities; technical testing and analysis", 
"Scientific research and development", 
"Advertising and marketing research", 
"Other professional, scientific and technical activities", 
"Waste collection, treatment and disposal activities; materials recovery; Remediation activities and other waste management services")) 


GP_Fact <- factor(Ril_CIS_2010$GP, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


HO_Fact <- factor(Ril_CIS_2010$HO, 
levels=c(NA, 
"Z", 
"1", 
"2", 
"3"), 
labels=c("Non applicabile", 
"Missing", 
"Italy", 
"Europa + Paesi Candidati + Paesi EFTA", 
"Resto del mondo"), exclude=NULL) 


MARLOC_Fact <- factor(Ril_CIS_2010$MARLOC, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


LARMAR_Fact <- factor(Ril_CIS_2010$LARMAR, 
levels=c("A", 
"B", 
"C", 
"D"), 
labels=c("Regione nella quale limpresa ha la sua sede operativa", 
"Altre regioni del territorio nazionale (differenti da quella in cui  ubicata la sede operativa)", 
"Stati membri UE, paesi candidati UE, paesi EFTA", 
"Altri paesi")) 


INPDSV_Fact <- factor(Ril_CIS_2010$INPDSV, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


INPDFC_Fact <- factor(Ril_CIS_2010$INPDFC, 
levels=c(0, 
1, 
2), 
labels=c("No", 
"Si", 
"Non so")) 


INPSPD_Fact <- factor(Ril_CIS_2010$INPSPD, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


RRDIN_Fact <- factor(Ril_CIS_2010$RRDIN, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


RDENG_Fact <- factor(Ril_CIS_2010$RDENG, 
levels=c(NA, 
1, 
2), 
labels=c("Assente se l'impresa non ha svolto attivit di R&S nel triennio", 
"Sistematica", 
"Occasionale"), exclude=NULL) 


funloc_Fact <- factor(Ril_CIS_2010$funloc, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


SENTG_Fact <- factor(Ril_CIS_2010$SENTG, 
levels=c(0, 
1, 
2, 
3), 
labels=c("Fonte non utilizzata", 
"Basso", 
"Medio", 
"Alto")) 


co11_Fact <- factor(Ril_CIS_2010$co11, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


co75_Fact <- factor(Ril_CIS_2010$co75, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


PMOS_Fact <- factor(Ril_CIS_2010$PMOS, 
levels=c("A", 
"B", 
"C", 
"D", 
"E", 
"F", 
"G"), 
labels=c("Altre imprese dello stesso gruppo", 
"Fornitori", 
"Clienti", 
"Imprese concorrenti", 
"Consulenti, istituti di ricerca e laboratori privati", 
"Universit o altri istituti di istruzione superiore", 
"Istituti di ricerca pubblici")) 


ORANGE_Fact <- factor(Ril_CIS_2010$ORANGE, 
levels=c(0, 
1, 
2, 
3), 
labels=c("Nullo", 
"Basso", 
"Medio", 
"Alto")) 


HFENT_Fact <- factor(Ril_CIS_2010$HFENT, 
levels=c(0, 
1, 
2, 
3), 
labels=c("Nessun ostacolo di questo tipo", 
"Basso", 
"Medio", 
"Alto")) 


ORGBUP_Fact <- factor(Ril_CIS_2010$ORGBUP, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


ORORED_Fact <- factor(Ril_CIS_2010$ORORED, 
levels=c(0, 
1, 
2, 
3), 
labels=c("Nullo", 
"Basso", 
"Medio", 
"Alto")) 


SGALA_Fact <- factor(Ril_CIS_2010$SGALA, 
levels=c(0, 
1, 
2, 
3), 
labels=c("Competenze non impiegate o non rilevanti", 
"Personale interno", 
"Figure professionali esterne", 
"Personale interno e figure professionali esterne")) 


MBRST_Fact <- factor(Ril_CIS_2010$MBRST, 
levels=c(0, 
1, 
2, 
3), 
labels=c("Pratiche mai utilizzate", 
"Pratiche adottate con successo", 
"Pratiche non adottate con successo", 
"L'impresa non sa se le pratiche adottate hanno avuto successo")) 


EMP08_Fact <- factor(Ril_CIS_2010$EMP08, 
levels=c(ALL, 
<=10, 
250+, 
10-49, 
50-249), 
labels=c("Totale (solo per NACE 37)", 
"Meno di 10 addetti", 
"250 addetti e oltre", 
"10-49 addetti", 
"50-249 addetti")) 


EMPUD_Fact <- factor(Ril_CIS_2010$EMPUD, 
levels=c(0, 
1, 
2, 
3, 
4, 
5, 
6), 
labels=c("0%", 
"1-4%", 
"5-9%", 
"10-24%", 
"25-49%", 
"50-74%", 
"75% to 100%")) 

save.image (file="Ril_CIS_2010.RData")
